QGIS Application - Bug report #16142
Processing "Create script collection plugin" RuntimeError: Could not load layer: memory:
2017-02-02 04:16 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.18.2 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 24054
Description

I'm testing the "Create script collection plugin” functionality in QGIS 2.18.3.

The plugin seems to be created fine and the scripts show up in the QGIS section of the toolbox. (Took me a while to find them there.)

But when running any of the scripts, | get:

Error loading result layer:
Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/processing/gui/Postprocessing.py”, line 75, in handleAlgorithmResults
out.name))
File "/usr/share/qgis/python/plugins/processing/tools/dataobjects.py", line 199, in load
+\
Check the processing framework log to look for errors')
RuntimeError: Could not load layer: memory:
Check the processing framework log to look for errors

If | specify an output file instead of "Create temporary layer", the script runs fine and the output is created correctly.

If I run the script stand-alone (without integrating it into a plugin), temporary output works fine.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2018-06-01 08:12 AM - Nyall Dawson
- Resolution set to invalid

- Status changed from Open to Closed
- Description updated

Not an issue anymore with 3.0
